gRPC C#
gRPC C#
Namespaces
Grpc.Auth
AuthInterceptors Class
AuthInterceptors Methods
FromAccessToken Method
FromCredential Method

AuthInterceptors FromAccessToken Method

Creates OAuth2 interceptor that will use given access token as authorization.

Namespace: Grpc.Auth
Assembly: Grpc.Auth (in Grpc.Auth.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static HeaderInterceptor FromAccessToken(
    	string accessToken
    )

    Public Shared Function FromAccessToken (
    	accessToken As String
    ) As HeaderInterceptor

    public:
    static HeaderInterceptor^ FromAccessToken(
    	String^ accessToken
    )

    static member FromAccessToken :
            accessToken : string -> HeaderInterceptor

#### Parameters

accessToken
  Type: System
  String
  OAuth2 access token.

#### Return Value

Type: HeaderInterceptor
The header interceptor.
See Also

#### Reference

AuthInterceptors Class
Grpc.Auth Namespace